Gsv::GutterRendererText Class Reference

`#include <gtksourceviewmm/gutterrenderertext.h>`

Inheritance diagram for Gsv::GutterRendererText:
[legend]

## Public Member Functions

| GutterRendererText (GutterRendererText&& src) noexcept
GutterRendererText& | operator= (GutterRendererText&& src) noexcept
| GutterRendererText (const GutterRendererText&)=delete
GutterRendererText& | operator= (const GutterRendererText&)=delete
| ~GutterRendererText () noexceptoverride
GtkSourceGutterRendererText* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkSourceGutterRendererText* | gobj () const
| Provides access to the underlying C GtkObject. More...
| GutterRendererText ()
void | set_text (const Markup& markup)
void | set_text (const Glib::ustring& text)
void | measure (const Markup& markup, int& width, int& height)
| Measures the pango markup provided using the pango layout used by the Gtk::SourceGutterRendererText. More...
void | measure (const Glib::ustring& text, int& width, int& height)
| Measures the text provided using the pango layout used by the Gtk::SourceGutterRendererText. More...
Glib::PropertyProxy< Glib::ustring > | property_text ()
| The text. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_text () const
| The text. More...
Glib::PropertyProxy< Glib::ustring > | property_markup ()
| The markup. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_markup () const
| The markup. More...
Public Member Functions inherited from Gsv::GutterRenderer
| GutterRenderer (GutterRenderer&& src) noexcept
GutterRenderer& | operator= (GutterRenderer&& src) noexcept
| GutterRenderer (const GutterRenderer&)=delete
GutterRenderer& | operator= (const GutterRenderer&)=delete
| ~GutterRenderer () noexceptoverride
GtkSourceGutterRenderer* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkSourceGutterRenderer* | gobj () const
| Provides access to the underlying C GtkObject. More...
void | begin (const Cairo::RefPtr< Cairo::Context >& cr, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, Gtk::TextIter&start, Gtk::TextIter&end)
| Called when drawing a region begins. More...
void | draw (const Cairo::RefPtr< Cairo::Context >& cr, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, Gtk::TextIter&start, Gtk::TextIter&end, GutterRendererState p6)
| Main renderering method. More...
void | end ()
| Called when drawing a region of lines has ended. More...
int | get_size () const
| Get the size of the renderer. More...
void | set_size (int size)
| Sets the size of the renderer. More...
bool | get_visible () const
| Get whether the gutter renderer is visible. More...
void | set_visible (bool visible)
| Set whether the gutter renderer is visible. More...
void | get_padding (int& xpad, int& ypad) const
| Get the x-padding and y-padding of the gutter renderer. More...
void | set_padding (int xpad, int ypad)
| Set the padding of the gutter renderer. More...
void | get_alignment (float& xalign, float& yalign) const
| Get the x-alignment and y-alignment of the gutter renderer. More...
void | set_alignment (float xalign, float yalign)
| Set the alignment of the gutter renderer. More...
GutterRendererAlignmentMode | get_alignment_mode () const
| Get the alignment mode. More...
void | set_alignment_mode (GutterRendererAlignmentMode mode)
| Set the alignment mode. More...
Gtk::TextWindowType | get_window_type () const
| Get the Gtk::TextWindowType associated with the gutter renderer. More...
Gtk::TextView* | get_view ()
| Get the view associated to the gutter renderer. More...
const Gtk::TextView* | get_view () const
| Get the view associated to the gutter renderer. More...
bool | get_background (Gdk::RGBA& color) const
| Get the background color of the renderer. More...
bool | is_background_set () const
void | set_background (const Gdk::RGBA& color)
| Set the background color of the renderer. More...
void | queue_draw ()
| Emits the Gtk::SourceGutterRenderer::signal_queue_draw() signal of the renderer. More...
Glib::PropertyProxy< bool > | property_visible ()
| Visible. More...
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
| Visible. More...
Glib::PropertyProxy< int > | property_xpad ()
| The x-padding. More...
Glib::PropertyProxy_ReadOnly< int > | property_xpad () const
| The x-padding. More...
Glib::PropertyProxy< int > | property_ypad ()
| The y-padding. More...
Glib::PropertyProxy_ReadOnly< int > | property_ypad () const
| The y-padding. More...
Glib::PropertyProxy< float > | property_xalign ()
| The x-alignment. More...
Glib::PropertyProxy_ReadOnly< float > | property_xalign () const
| The x-alignment. More...
Glib::PropertyProxy< float > | property_yalign ()
| The y-alignment. More...
Glib::PropertyProxy_ReadOnly< float > | property_yalign () const
| The y-alignment. More...
Glib::PropertyProxy_ReadOnly< Gtk::TextView* > | property_view () const
| The view. More...
Glib::PropertyProxy< GutterRendererAlignmentMode > | property_alignment_mode ()
| The alignment mode. More...
Glib::PropertyProxy_ReadOnly< GutterRendererAlignmentMode > | property_alignment_mode () const
| The alignment mode. More...
Glib::PropertyProxy_ReadOnly< Gtk::TextWindowType > | property_window_type () const
| The window type. More...
Glib::PropertyProxy< int > | property_size ()
| The size. More...
Glib::PropertyProxy_ReadOnly< int > | property_size () const
| The size. More...
Glib::PropertyProxy< Gdk::RGBA > | property_background_rgba ()
| The background color. More...
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_background_rgba () const
| The background color. More...
Glib::PropertyProxy< bool > | property_background_set ()
| Whether the background color is set. More...
Glib::PropertyProxy_ReadOnly< bool > | property_background_set () const
| Whether the background color is set. More...
Glib::SignalProxy< bool, const Gtk::TextIter&, const Gdk::Rectangle&, int, int, const Glib::RefPtr< Gtk::Tooltip >& > | signal_query_tooltip ()
Glib::SignalProxy< void, const Gtk::TextIter&, const Gdk::Rectangle&, GdkEvent* > | signal_activate ()
Glib::SignalProxy< void > | signal_queue_draw ()
Glib::SignalProxy< void, const Gtk::TextIter&, const Gtk::TextIter&, GutterRendererState > | signal_query_data ()
Glib::SignalProxy< bool, const Gtk::TextIter&, const Gdk::Rectangle&, GdkEvent* > | signal_query_activatable ()
Public Member Functions inherited from Gtk::Object
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
| ~Object () noexceptoverride
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gsv::GutterRenderer
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Related Functions

(Note that these are not member functions.)
Gsv::GutterRendererText* | wrap (GtkSourceGutterRendererText* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gsv::GutterRenderer
Gsv::GutterRenderer* | wrap (GtkSourceGutterRenderer* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members

Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Protected Member Functions inherited from Gsv::GutterRenderer
virtual bool | on_query_tooltip (const Gtk::TextIter& iter, const Gdk::Rectangle& area, int x, int y, const Glib::RefPtr< Gtk::Tooltip >& tooltip)
| This is a default handler for the signal signal_query_tooltip(). More...
virtual void | on_activate (const Gtk::TextIter& iter, const Gdk::Rectangle& area, GdkEvent* event)
| This is a default handler for the signal signal_activate(). More...
virtual void | on_queue_draw ()
| This is a default handler for the signal signal_queue_draw(). More...
virtual void | on_query_data (const Gtk::TextIter&start, const Gtk::TextIter&end, GutterRendererState state)
| This is a default handler for the signal signal_query_data(). More...
virtual bool | on_query_activatable (const Gtk::TextIter& iter, const Gdk::Rectangle& area, GdkEvent* event)
| This is a default handler for the signal signal_query_activatable(). More...
| GutterRenderer ()
virtual void | begin_vfunc (const Cairo::RefPtr< Cairo::Context >& cr, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, Gtk::TextIter&start, Gtk::TextIter&end)
virtual void | draw_vfunc (const Cairo::RefPtr< Cairo::Context >& cr, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, Gtk::TextIter&start, Gtk::TextIter&end, GutterRendererState p6)
virtual void | end_vfunc ()
virtual void | change_view_vfunc (Gtk::TextView* old_view)
virtual void | change_buffer_vfunc (const Glib::RefPtr< Gtk::TextBuffer >& old_buffer)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexceptoverride
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Constructor & Destructor Documentation

Gsv::GutterRendererText::GutterRendererText | ( | GutterRendererText&& | src | ) |

noexcept

Gsv::GutterRendererText::GutterRendererText | ( | const GutterRendererText& |  | ) |

delete

Gsv::GutterRendererText::~GutterRendererText | ( |  | ) |

override noexcept

Gsv::GutterRendererText::GutterRendererText | ( |  | ) |

## Member Function Documentation

static GType Gsv::GutterRendererText::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

GtkSourceGutterRendererText* Gsv::GutterRendererText::gobj | ( |  | ) |

inline

Provides access to the underlying C GtkObject.

const GtkSourceGutterRendererText* Gsv::GutterRendererText::gobj | ( |  | ) | const

inline

Provides access to the underlying C GtkObject.

void Gsv::GutterRendererText::measure | ( | const Markup& | markup,
|  | int & | width,
|  | int & | height
| ) |  |

Measures the pango markup provided using the pango layout used by the Gtk::SourceGutterRendererText.

Parameters

  markup | The pango markup to measure.
  width | Location to store the width of the text in pixels, or `nullptr`.
  height | Location to store the height of the text in pixels, or `nullptr`.

void Gsv::GutterRendererText::measure | ( | const Glib::ustring & | text,
|  | int & | width,
|  | int & | height
| ) |  |

Measures the text provided using the pango layout used by the Gtk::SourceGutterRendererText.

Parameters

  text | The text to measure.
  width | Location to store the width of the text in pixels, or `nullptr`.
  height | Location to store the height of the text in pixels, or `nullptr`.

GutterRendererText& Gsv::GutterRendererText::operator= | ( | GutterRendererText&& | src | ) |

noexcept

GutterRendererText& Gsv::GutterRendererText::operator= | ( | const GutterRendererText& |  | ) |

delete

Glib::PropertyProxy< Glib::ustring > Gsv::GutterRendererText::property_markup | ( |  | ) |

The markup.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gsv::GutterRendererText::property_markup | ( |  | ) | const

The markup.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gsv::GutterRendererText::property_text | ( |  | ) |

The text.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gsv::GutterRendererText::property_text | ( |  | ) | const

The text.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

void Gsv::GutterRendererText::set_text | ( | const Markup& | markup | ) |

void Gsv::GutterRendererText::set_text | ( | const Glib::ustring & | text | ) |

## Friends And Related Function Documentation

Gsv::GutterRendererText* wrap | ( | GtkSourceGutterRendererText * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.